[TxMt] Latex to CSS (pygments ?)

Wolfgang Machert wmachert at googlemail.com
Sun Feb 4 21:15:45 UTC 2007

I you have pygments installed via python 2.5 you have to put the path  
into ~/.MacOSX/environment.plist since the .bash_profile will only be  
read by a terminal (which means that TextMate is using python 2.3 at  
the moment where you obviously haven't installed pygments).
To solve this problem you have three options:

1. create ~/.MacOSX$ cat environment.plist (if it doesn't already  
exist) and insert something like { PATH = '~/bin:/usr/local/bin:...';}
2. install pygments in python 2.3
3. load pygments (either the egg which you have to unzip afterwards  
or the source), put the pygments directory into ~/Library/Application 
\ Support/TextMate/Support/lib, and add the following lines between  
line 4 and 5 of Haris's command:

import os
import sys
sys.path.append('%s/lib' % os.environ['TM_SUPPORT_PATH'])


On 04.02.2007, at 21:15, Alain Matthes wrote:

> Le 4 févr. 07 à 21:12, Alain Matthes a écrit :
>  and in my .bash_profile i 've :
> # Setting PATH for MacPython 2.5
> # The orginal version is saved in .bash_profile.pysave
> PATH="/Library/Frameworks/Python.framework/Versions/Current/bin:$ 
> {PATH}"
> export PATH
> Alain
> ______________________________________________________________________
> For new threads USE THIS: textmate at lists.macromates.com
> (threading gets destroyed and the universe will collapse if you don't)
> http://lists.macromates.com/mailman/listinfo/textmate

More information about the textmate mailing list